Skip to main content
Look up the Skill IDs of a list of Skill names
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/skills/lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "skill_names": [
    "Machine Learning",
    "Python",
    "Tensorflow"
  ]
}
'
[
  {
    "results": [
      {
        "skill_name": "Machine Learning",
        "skill_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "external_id": "af572197-d6a9-4366-a816-caeadccb260c"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Body

application/json

Default structure for a request body containing a list of Skill names.

skill_names
string[]
required

A list of Skill names.

Example:
["Machine Learning", "Python", "Tensorflow"]

Response

OK

results
object[]
required